---
layout: default
title: Join the GitLab Talent Community
description: Review our open roles and join our talent community today
twitter_image: '/images/opengraph/Talent-Brand/hiring-day-in-the-life-person-on-couch.png'
twitter_image_alt: "A person sitting on the couch with their laptop, smiling."
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
suppress_header: true
manual_cookiebot: true
extra_css:
  - jobs.css
---

.container.listing-container
  .content.tile{id: 'opportunities'}
    :markdown
      ## Careers at GitLab

      Interested in joining our [all-remote team](https://about.gitlab.com/company/culture/all-remote/)? GitLab is a very unique place to work, and we’re taking an equally unique approach to growing [our team](https://about.gitlab.com/company/team/org-chart/). Learn more about our talent acquisition model and what it’s like to work here on our [Jobs FAQ page](https://about.gitlab.com/jobs/faq/).

    .u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do
        Join Our Talent Community

    :markdown
      <br><br>
      If you have questions about our Talent Community and how it all works, check out this video from our Recruiting team:

      <figure class='video_container'>
        <iframe src="https://www.youtube.com/embed/uK_kO8FcgpA"></iframe>
      </figure>

      <br><br>
      Here’s a list of the active roles we’re sourcing for now. To be considered for a career opportunity at GitLab, please join our Talent Community.
      <br>

    <br><br>
    :markdown

      | Department | Position Title | [Job Family](https://about.gitlab.com/handbook/hiring/job-families/) |
      |--------------------------|-----------------|-----------------|
      | Engineering | Backend Engineer, Secure C# | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/) |
      | Engineering | Backend Engineer, Manage | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/) |
      | Engineering | Backend Engineer, Verify | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/) |
      | Engineering | Database Reliability Engineer | [What we're looking for](https://about.gitlab.com/job-families/engineering/database-reliability-engineer/) |
      | Engineering | Frontend Engineer, Verify | [What we're looking for](https://about.gitlab.com/job-families/engineering/frontend-engineer/) |
      | Engineering | Senior Frontend Engineer, Secure | [What we're looking for](https://about.gitlab.com/job-families/engineering/frontend-engineer/) |
      | Engineering | Support Engineer (Americas Central) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (Americas East) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (Americas West) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (APAC) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineering Manager (Americas) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-management/) |
      | Engineering | Support Engineering Manager (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-management/) |
      | Engineering | Director of Support (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-management/#director-of-support) |
      | Engineering | Senior Software Engineer in Test, Manage: Import | [What we're looking for](https://about.gitlab.com/job-families/engineering/software-engineer-in-test/) |
      | G&A | Director of Legal, Commercial | [What we're looking for](https://about.gitlab.com/job-families/legal/director-legal-us) |
      | G&A | Integrations Engineer |  [What we're looking for](https://about.gitlab.com/job-families/finance/integrations-engineer/) |
      | G&A | Senior Financial Analyst, Corporate - FP&A | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | Marketing | Sales Development Representative, APAC, Japanese speaking | [What we're looking for](https://about.gitlab.com/job-families/marketing/sales-development-representative/) |
      | People Success | Chief People Officer | [What we're looking for](https://about.gitlab.com/job-families/people-ops/chief-people-officer/) |
      | Product | Senior Product Manager, Manage (Analytics) | [What we're looking for](https://about.gitlab.com/job-families/product/product-manager/) |
      | Sales | Manager, Sales Operation (Channel) | [What we're looking for](https://about.gitlab.com/job-families/sales/sales-operations/) |
      | Sales | Public Sector Area Sales Manager - DOD | [What we're looking for](https://about.gitlab.com/job-families/sales/area-sales-manager/) |
      | Sales | Public Sector Professional Services Engineer | [What we're looking for](https://about.gitlab.com/job-families/sales/professional-services-engineer/) |
      | Sales | Global Sales Director, SMB | [What we're looking for](https://about.gitlab.com/job-families/sales/regional-sales-director/) |
      | Sales | Strategic Account Leader (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Germany) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Bay Area) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Midwest) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Rockies) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (San Mateo) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader Named Accounts (NYC) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Manager, Sales Operation (Commercial) | [What we're looking for](https://about.gitlab.com/job-families/sales/sales-operations/) |
      | Sales | Senior Program Manager, Partner Enablement | [What we're looking for](https://about.gitlab.com/job-families/sales/program-manager-field-enablement/) |


      If you are a current team member, please reference [this page](https://about.gitlab.com/handbook/hiring/interviewing/#internal-applicants) for additional information and a link to the internal job board. If you'd like to submit a referral, please reference [this page](https://about.gitlab.com/handbook/hiring/referral-process/#submitting-a-referral).

    %div.u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do
        Join Our Talent Community
